Subject: Re: bug#34847: 27.0.50; auto-revert-buffers occasionally selects a killed buffer

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sat, 06 Apr 2019 14:39:47 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Date: Sat, 06 Apr 2019 02:55:05 +0100
>> Cc: [email-masked]
>> 
>> But instrumenting get-buffer-create and kill-buffer revealed that
>> kill-buffer-hook wasn't run sometimes, specifically when an
>> uninitialised inhibit_buffer_hooks happened to be non-zero.
>> 
>> Eli, is the following TRT?
>
> Yes.  Sorry, for some reason I assumed that the entire buffer struct
> is zeroed when a buffer is allocated, but I see now that was based on
> some dream, not on facts.

I was worried some magic like that might be happening somewhere,
but luckily reality is simpler than dreams in this case. ;)

Thanks,

-- 
Basil